Main Page Widgets Namespaces Book

# Gtk::TargetList Class Reference

List of all members.

## Public Member Functions

void | reference () const
void | unreference () const
GtkTargetList* | gobj ()
| Provides access to the underlying C instance.
const GtkTargetList* | gobj () const
| Provides access to the underlying C instance.
GtkTargetList* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | add (const Glib::ustring& target, TargetFlags flags=TargetFlags(0), guint info=0)
void | add (const ArrayHandle_TargetEntry& targets)
void | remove (const Glib::ustring& target)
bool | find (const Glib::ustring& target, guint* info) const

## Static Public Member Functions

Glib::RefPtr<Gtk::TargetList> | create (const ArrayHandle_TargetEntry& targets)

## Protected Member Functions

| TargetList ()
void | operator delete (void*, size_t)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::TargetList> | wrap (GtkTargetList* object, bool take_copy=false)

## Constructor & Destructor Documentation

Gtk::TargetList::TargetList | ( |  | ) | `[protected]`

## Member Function Documentation

void Gtk::TargetList::add | ( | const ArrayHandle_TargetEntry& | targets | ) |

void Gtk::TargetList::add | ( | const Glib::ustring& | target,
|  | TargetFlags | flags = `TargetFlags(0)`,
|  | guint | info = `0`
| ) |

Glib::RefPtr<Gtk::TargetList> Gtk::TargetList::create | ( | const ArrayHandle_TargetEntry& | targets | ) | `[static]`

bool Gtk::TargetList::find | ( | const Glib::ustring& | target,
|  | guint* | info
| ) | const

const GtkTargetList* Gtk::TargetList::gobj | ( |  | ) | const

| Provides access to the underlying C instance.

GtkTargetList* Gtk::TargetList::gobj | ( |  | ) |

| Provides access to the underlying C instance.

GtkTargetList* Gtk::TargetList::gobj_copy | ( |  | ) | const

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gtk::TargetList::operator delete | ( | void* | ,
|  | size_t |
| ) | `[protected]`

void Gtk::TargetList::reference | ( |  | ) | const

void Gtk::TargetList::remove | ( | const Glib::ustring& | target | ) |

void Gtk::TargetList::unreference | ( |  | ) | const

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::TargetList> wrap | ( | GtkTargetList* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- targetlist.h